﻿using LocalizationDemo.Properties;
using System;
using System.Globalization;
using System.Threading;

namespace LocalizationDemo.Localization
{
    public static class Localizer
    {
        public static string Translate(string key, params object[] parameters)
        {
            var culture = Thread.CurrentThread.CurrentUICulture;

            var format = Resources.ResourceManager.GetString(key, culture);

            if (format == null)
                return "!" + key + (parameters.Length > 0 ? ":" + String.Join(",", parameters) : "") + "!";

            return String.Format(culture, format, parameters);
        }

        public static string Format(string format, params object[] parameters)
        {
            return String.Format(Thread.CurrentThread.CurrentCulture, format, parameters);
        }
    }
}
